Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.wrappers
[Java] Class PojoWrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper
          org.codehaus.groovy.runtime.wrappers.PojoWrapper

    public class PojoWrapper
    extends Wrapper

Authors:
  John Wilson

Field Summary
`protected MetaClass` | `delegate`
`protected java.lang.Object` | `wrapped`

Fields inherited from class Wrapper
constrainedType

Constructor Summary
`PojoWrapper(java.lang.Object wrapped, java.lang.Class constrainedType)`

Method Summary
`protected MetaClass` | `getDelegatedMetaClass()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`protected java.lang.Object` | `getWrapped()`
`java.lang.Object` | `invokeMethod(java.lang.String methodName, java.lang.Object arguments)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
`java.lang.Object` | `unwrap()`

Methods inherited from class Wrapper
getDelegatedMetaClass, getMetaClass, getType, getWrapped, unwrap

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### delegate

    protected MetaClass delegate

### wrapped

    protected final java.lang.Object wrapped

Constructor Detail

### PojoWrapper

    public PojoWrapper(java.lang.Object wrapped, java.lang.Class constrainedType)

Method Detail

### getDelegatedMetaClass

    protected MetaClass getDelegatedMetaClass()

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

### getWrapped

    protected java.lang.Object getWrapped()

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String methodName, java.lang.Object arguments)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(java.lang.String property, java.lang.Object newValue)

### unwrap

    public java.lang.Object unwrap()

Groovy Documentation